/* schedule-grid.css */

/*
   wrapper = class="schedule-grid schedule-weekly"
*/

#RoomGridWeekSchedule .header-outer {
    position: sticky;
    top: 60;
}

.sched-current-date {
   font-size: 1.3rem; 
}

.sched-grid-nav {
   font-size: 1.1rem;
}

.schedule-grid {
   font-size: 11px;
   line-height: 12px;
}

.header-outer {
   width:100%;
	overflow:hidden;
	font-family: Arial,sans-serif;
	/* font-size:12px;*/
}

.grid-outer {
   width:100%;
	overflow:auto;
	font-family: Arial,sans-serif;
	/*font-size:12px; */
	border-bottom: 1px solid #999;
}

.grid-header { border:1px solid #999; }


.grid-column {
      border-right:1px solid #999;
      /*min-width:110px;*/
		/* min-width:150px; */
		padding: 0;
		background-image: url('../images/grid/cell.png' );
		background-repeat: repeat;
		background-position:top;
		vertical-align:top;
}

.grid-header th { vertical-align:middle;
		text-align:center;
		/* min-width:150px; */
		padding: 0 5px;
		text-transform: capitalize;
		overflow:hidden;
}

.header-outer th {
	min-height: 45px;
	height: 45px;
}

.schedule-grid th div {
	display:inline-block;
	/*font-size: 11px;*/
}

.inner-col { position:relative; }

.grid-column.editable {
   cursor: pointer;
}
.grid-column .grid-item {
   cursor: not-allowed;
}
.grid-column .grid-item .item-label {
   cursor: no-drop;
}
.grid-column.colstatus-past,
.grid-column.colstatus-today,
.grid-column.colstatus-soon,
.grid-column.colstatus-future {
   cursor: not-allowed;
   background-color: #dfe7f1; /* lightsteelblue; */
}


/* skyblue - https://encycolorpedia.com/87ceeb */
.grid-item {
   /*
   background: linear-gradient(-45deg, white 25%, #8b0 25%, #8b0 50%, white 50%, white 75%, #8b0 75%, #8b0);
   background-size:10px 10px;

      background-image: url("//calendar.google.com/googlecalendar/images/ro_25.png");
      background-repeat: repeat;
   */
   position:absolute;
   background-color: skyblue;
   border-radius: 4px;

   /* min-height:30px; */
   width: 95%;
   margin:1px;
   padding:2px;

   overflow: hidden;
}

.grid-item.closed {
   /*background-color: #d49ed4;*/ /* lightpink */
   background-color: #b9b9b9;     /* lightgrey */
}

.grid-item.prebuffer {
   background-color: #d49ed4;
}
.grid-item.postbuffer {
   background-color: #a4cea7;
}

.grid-item.status-avail {
	background-color:#80FF80;
}
.grid-item.status-out {
	background-color:#FF8080;
}
.grid-item.status-queue {
	background-color:yellow;
}
.grid-item.status-no-queue {
	background-color:orange;
}
.grid-item.status-vacation {
	background-color:red;
}
.grid-item.status-travel {
	background-color:blue;
}

div.item-person.override_rec {
	background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAQElEQVQYV2NkIAKckTrzn5GQOpAik2cmjHgVwhSBDMOpEFkRToXoirAqxKYIQyEuRSgK8SmCKySkCKyQGEUghQD+Nia8BIDCEQAAAABJRU5ErkJggg==);
	width:40%;
   margin-left: 30%;
}


.time-col {
	background-color: rgb(243,243,243);
	width:40px;
	max-width: 40px;
	min-width: 40px;
	text-align: right;
	color: #555;
	/*font-size: 11px;*/
}

.schedule-grid th.time-col {
  padding: 0;
}

.time-30 { vertical-align: top; height: 50px; }
.time-30 div { padding-right: 2px; }
.schedule-grid .bottom { border-bottom: 1px solid #999; }

.schedule-grid table { border-collapse: collapse; margin:0; padding:0; }
.schedule-grid table,
.schedule-grid th,
.schedule-grid td {
   border: 1px solid #aaa !important;
}
.schedule-grid td { text-align:left; margin:0; padding: 0;}


.type-resource {
	background-color: #FFFFC0;
}

.type-meeting {
	background-color: #C0FFFF;
}

.role-col {
	display: inline-block;
	vertical-align:top;
}
.role-label {
	font-weight:bold;
}
.roles-wrap {
	display: inline-block;
	border: 1px solid #999;
	margin: 5px;
	padding: 5px;
}

div.item-label {
	position: absolute;
	cursor:pointer;
}

.schedule-grid textarea.form-control
{
	width: 350px;
}
.localnowrap
{
	display: flex;
}

.marginedbtn
{
	margin: 1px;
}

#masterSchedule .modal-dialog
{
	width: 900px;
}

#editScheduleEntry .modal-dialog
{
	width: 700px;
}

#editNamedDay .modal-dialog
{
	width: 700px;
}

#manageIndividualOrder .modal-dialog
{
	width: 700px;
}

#editMeeting .modal-dialog
{
	width: 700px;
}

#unassigned_individuals, #assigned_individuals
{
    border: 1px solid gray;
    width: 180px;
    min-height: 170px;
	 max-height: 170px;
    list-style-type: none;
	 overflow-x: hidden;
	 overflow-y: auto;
    padding: 5px 0 0 0;
    float: left;
	 cursor: pointer;
}

#unassigned_individuals
{
    margin-right: 10px;
}
#assigned_individuals
{
    margin-left: 10px;
}

#unassigned_individuals div, #assigned_individuals div
{
    margin: 0 2px 2px 2px;
    padding: 2px;
    font-size: 1.2em;
    width: 120px;
}


.transparantspan
{
	background-color: white;
	border: 0;
	width: 30px;
}
#vmiddle
{
	display: inline-block;
	float: left;
	height: 170px;
	padding-top: 60px;
}

#vmiddle div
{
	padding: 5px;
	display: block;
	width: 20px !important;
}

#attendeesDiv, #meetingAttendeesDiv
{
	border: 1px solid #eee;
	 overflow-y: auto;
    width: 350px;
    min-height: 170px;
	 max-height: 170px;
}

.indented
{
	padding-left: 20px;
}

.topspace {
  margin: 10px 0 0 10px;
  padding: 0;
  font-weight:900;
}

.opStyle
{
    background-repeat: no-repeat;
    background-position: left center;
	 padding-left: 15px;
}

.modal-title {
	text-transform: capitalize;
}

div.item-person {
  margin-left: 35%;
  width: 30%;
}

div.item-person:hover {
	border: 1px solid black;
}

.item-label {
	/*font-size: 11px;*/
	/* line-height: 11px; */
}

#personStartDateDiv, #personEndDateDiv, #upload-file-info
{
	display: none;
}

#upload-file-info
{
	margin-right: 5px;
	width: 350px;
}

.error
{
	/* line-height: 11px; */
	/*font-size: 11px;*/
	/* line-height: 11px; */
	margin-top: 2px;
	padding: 3px 8px;
	border: 1px solid #ccc;
	border-radius: 2px;
}

.sidenav {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 5; /*above the routing search and tree */
    top: 0;
    right: 0;
    background-color: #e5e5e5;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
}

.sidenav a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #818181;
    display: block;
    transition: 0.3s
}

.sidenav a:hover, .offcanvas a:focus, .nav-tree a:hover{
    color: white !important;
}

.sidenav .closebtn {
    position: absolute;
    top: 10px;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
	 cursor: pointer;
}

.opennav
{
	font-size:30px;
	cursor:pointer;
	float: right;
}

@media screen and (max-height: 450px) {
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
}

#namedDayTblGrid, #scheduleTblGrid
{
	border: 0 none !important;
}

.smallpadtop
{
	padding-top: 15px;
}

.outbox {
	border: 1px solid #999;
	padding: 20px 10px 10px 10px;
	margin: 20px 0 5px 0;
	font-size: 0.9em;
}

.outtitle {
	position:absolute;
	top: -10px;
	left: 20px;
	background-color: white;
	z-index:5;
	padding: 0 10px;
	font-size: 1.3em;
	font-weight: bold;
}


.outperson {
	font-weight: bold;
	text-transform: capitalize;
	text-align: right;
	padding-right: 0;
}

.outtimes {
	text-transform: capitalize;
	/* cursor: pointer; */
}

.outbox {
	/* padding: 16px; */
}
.outbox > .row {
	margin: -8px;
}
.row.outitem {
	margin-bottom: 6px;
}
.outperson {
	padding-left: 2px;
}
.outtimes {
	padding-right: 2px;
	padding-left: 4px;
}

.selected
{
	border:1px solid #32a24e;
	border-radius:3px;
}

.unselected {
	opacity:0.6;
	filter:alpha(opacity=60);
}

.padbottom
{
	margin-bottom: 10px;
}

.padtop
{
	margin-top: 20px;
}
.btn-xs {
  /*font-size: 11px;*/
}


/*
::after, *::before {
  box-sizing: border-box;
}
* {
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
}
*/

.form-horizontal .checkbox, .form-horizontal .radio {
  min-height: 18px;
}

.modal-body .datepicker{z-index:1200 !important;}

.modal-body h3 { line-height: 1em; }

.datehighlight,
.timehighlight {
	background-color: yellow;
}

.dateselecthighlight {
	background-color: lightgoldenrodyellow;
}

/* Daily Editable Note */

.date-note-row {

	/* border: 1px solid yellow; */
}

.date-col {
	padding-right: 10px;
}

@media only screen and (min-width: 481px) and (max-width: 1024px) and (orientation:landscape) {
  /* For landscape layouts only */
  .date-col h1 {
		font-size: 2.7em;
	}
	.date-col h3 {
		font-size: 1.7em;
	}
	.outtime {
		font-size: 0.86em;
	}
}
@media only screen and (min-width: 481px) and (max-width: 1024px) and (orientation:portrait) {
	/* For portrait layouts only */
	.date-col h1 {
		font-size: 2.5em;
	}
	.date-col h3 {
		font-size: 1.5em;
	}
	.outtime {
		font-size: 0.86em;
	}

}

.last-update-date {
	margin-top: 6px;
	margin-bottom: 6px;
}

